/***************************************************************************
 *   Copyright (C) 2008 by Alvaro Garcia   								   *
 *   maxpowel@gmail.com   												   *
 *      														           *
 * 	 This file is part of AFEBL                                            *
 * 																		   *
 *   AFBL is free software; you can redistribute it and/or modify          *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.       *
 ***************************************************************************/
#include "afeblipresolver.h"

AFEBLipResolver::AFEBLipResolver()
{
}

struct sockaddr_in AFEBLipResolver::getIpFrom(string host)
{
	const hostent* host_info = 0 ;  //Host information will be saved in this structure
	in_addr* address;  //IP address
	struct sockaddr_in serv_addr;  //IP address for the socket
	serv_addr.sin_family = AF_INET; // Family
	serv_addr.sin_port = htons(80);  // The http port is 80
 
	host_info = gethostbyname(host.c_str()) ;  //Get information of the host
	address = (in_addr*)host_info->h_addr_list[0]; //Extract the IP address
	inet_aton(inet_ntoa( *address ), &(serv_addr.sin_addr));
	memset(&(serv_addr.sin_zero), '\0', 8);
	
	return serv_addr;
}


